<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\Classes\Hinterlegungen;

class HinterlegungDozUrlaubGrund extends \HinterlegungDialogBasis
{
  public function __construct()
  {
    parent::__construct();
    $dbwHlUrlaubGrund = \DBWorkHLUrlaubGrund::getDefaultInstance();
    $this->data = $dbwHlUrlaubGrund->getAll();
  }

  public function GetColumnCount()
  {
    return 1;
  }

  public function GetColumnTitle($index)
  {
    switch ($index) {
      default: return '';
      case 0: return 'Grund';
    }
  }

  
  public function GetColumnWidth($col)
  {
    switch ($col) {
      case 0: return '100%';
    }

    return '';
  }

  
  public function GetIdColumnIndices()
  {
    return array(0);
  }

  
  public function GetRowCount()
  {
    return count($this->data);
  }

  
  public function GetValueAt($row, $col)
  {
    switch ($col) {
      case 0: return $this->data[$row]->text;
    }
  }
}